//
//  XiaocaiQuerysHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/5/18.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "XiaocaiQuerysHttpPostCmd.h"
#import "XiaocaiQuerysHttpResult.h"

static NSString *kActionUrl1 = @"/xiaocai/querys";

@implementation XiaocaiQuerysHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[XiaocaiQuerysHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[XiaocaiQuerysHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpXiaocaiQuerysHttpPostCmd_input = @"input";
NSString *const kHttpXiaocaiQuerysHttpPostCmd_userid = @"userid";
